<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Bettie Page &amp; The Curse of the Banshee</Series>
  <Number>5</Number>
  <Web>https://www.comixology.com/Bettie-Page-The-Curse-of-the-Banshee-5/digital-comic/960731</Web>
  <Summary>The pin-up queen… of adventure is back! Dynamite Entertainment proudly presents: Bettie Page in “The Curse of the Banshee!”

This is it! The Irish adventure of Bettie Page is almost over? Will she escape the forever curse of the Banshee and return, unscathed, the life of a Hollywood starlet?

Written by Stephen Mooney, ably assisted by artist Jethro “Jet” Morales and a host of incredible covers artists, cosplay goddesses and the queen of the pin-up herself – Bettie Page!

Covers by: Marat Mychaels, Joseph Michael Linsner, Stephen Mooney, Rachel Hollon (Cosplay) and Bettie Page (Vintage Pin-Up Photo)

Stephen Mooney has worked for DC, Marvel and a host of other publishers, but is perhaps best-known as the creator (AND writer AND artist) of Half-Past Danger!</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB960731], [ASINB09C2JJJ4H]</Notes>
  <Publisher>Dynamite Entertainment</Publisher>
  <Genre>Action/Adventure</Genre>
  <PageCount>29</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
